> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/api/api-v2/sub-business.md).

# 하위사업장 가입 및 등록

## 하위 사업장 등록 URL 발급

> &#x20;   파트너사의 하위 사업장 등록을 위한 접근 URL을 발급합니다.\
> &#x20;   발급된 URL을 파트너 내부 화면에 연결하여 하위 사업장 등록을 진행할 수 있습니다.\
> \ <br>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"tags":[],"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/auth/mapping":{"post":{"tags":["3.1 파트너 하위 사업장 연동, v2"],"summary":"하위 사업장 등록 URL 발급","description":"    파트너사의 하위 사업장 등록을 위한 접근 URL을 발급합니다.\n    발급된 URL을 파트너 내부 화면에 연결하여 하위 사업장 등록을 진행할 수 있습니다.\n\n\n","operationId":"authMapping","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerAuthMappingRequest"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponsePartnerAuthOpenResponse"}}}}}}}},"components":{"schemas":{"PartnerAuthMappingRequest":{"type":"object","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키","maxLength":32},"memberId":{"type":"string","description":"파트너 사용자 코드","maxLength":30},"merchantId":{"type":"string","description":"파트너 매장 코드","maxLength":30},"businessNumber":{"type":"string","description":"사업자번호"},"callbackUrl":{"type":"string","description":"결제 승인 후 결제 상태를 통보받을 파트너사의 URL"},"redirectUrl":{"type":"string","description":"하위사업장 가입 완료 이후 페이지 이동을 위한 redirectUrl"}},"required":["apiKey","callbackUrl","memberId","merchantId"]},"BaseResponsePartnerAuthOpenResponse":{"type":"object","description":"공통 API 응답 포맷 (api.spec: code/message/data)","properties":{"code":{"type":"string","description":"응답 코드"},"message":{"type":"string","description":"응답 메시지"},"data":{"$ref":"#/components/schemas/PartnerAuthOpenResponse","description":"응답 데이터"}}},"PartnerAuthOpenResponse":{"type":"object","description":"파트너 인증 URL 응답","properties":{"url":{"type":"string","description":"접근 URL"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.payssam.kr/api/api-v2/sub-business.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
